| Home | Libraries | People | FAQ | More

##### url::normalize_query

Normalize the URL query.

###### Synopsis

    url&
    normalize_query();

###### Description

Applies Syntax-based normalization to the URL query. Percent-encoding triplets are normalized to uppercase letters. Percent-encoded octets that correspond to unreserved characters are decoded.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Specification

- 6.2.2 Syntax-Based Normalization (rfc3986)